## org.apache.hadoop.fs.ftp
Class FTPException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.hadoop.fs.ftp.FTPException

All Implemented Interfaces:
  Serializable

    public class FTPException

extends RuntimeException

A class to wrap a `Throwable` into a Runtime Exception.

See Also:
  Serialized Form

Constructor Summary
`FTPException(String message)`
`FTPException(String message, Throwable t)`
`FTPException(Throwable t)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTPException

    public FTPException(String message)

### FTPException

    public FTPException(Throwable t)

### FTPException

    public FTPException(String message,
                        Throwable t)

Copyright © 2009 The Apache Software Foundation